/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
export let ForecastSeriesEnum;

(function (ForecastSeriesEnum) {
  ForecastSeriesEnum["Observation"] = "";
  ForecastSeriesEnum["ForecastTrend"] = "__yhat";
  ForecastSeriesEnum["ForecastUpper"] = "__yhat_upper";
  ForecastSeriesEnum["ForecastLower"] = "__yhat_lower";
})(ForecastSeriesEnum || (ForecastSeriesEnum = {}));

export let LegendOrientation;

(function (LegendOrientation) {
  LegendOrientation["Top"] = "top";
  LegendOrientation["Bottom"] = "bottom";
  LegendOrientation["Left"] = "left";
  LegendOrientation["Right"] = "right";
})(LegendOrientation || (LegendOrientation = {}));

export let LegendType;

(function (LegendType) {
  LegendType["Scroll"] = "scroll";
  LegendType["Plain"] = "plain";
})(LegendType || (LegendType = {}));

export const DEFAULT_LEGEND_FORM_DATA = {
  legendMargin: null,
  legendOrientation: LegendOrientation.Top,
  legendType: LegendType.Scroll,
  showLegend: false
};